# Contributing to babel-plugin-auto-console-log

Thank you for your interest in contributing to babel-plugin-auto-console-log! Before getting started, please make sure to read and understand our Code of Conduct.

## General Information

babel-plugin-auto-console-log is a library that allows adding console.log() calls automatically to different types of expressions, such as identifiers, binary expressions, and conditional expressions. If you wish to contribute, you can do so by adding new features, improving performance, or fixing bugs.

## How to Contribute

1. Open an issue to describe the changes you want to make and their purpose.
2. Wait for a collaborator to review and approve your proposal in the issue.
3. Fork the repository.
4. Clone the repository to your computer.
5. Create a new branch with git checkout -b <branch-name>.
6. Make the changes you wish to make to the library.
7. Make sure to write tests for your changes.
8. Run the tests to make sure you haven't broken anything.
9. Commit your changes with a clear and explanatory message.
10. Push your changes with git push origin <branch-name>.
11. Make a Pull Request referencing the issue you have created.

## How to Run Tests

To run the tests, you will need to have Node.js installed on your computer. Afterwards, you can run the following commands in the project directory:

1. `yarn` to install the dependencies.
2. `yarn test` to run the tests.

> You can also use yarn test:watch to run the tests every time you make a change.

## How to Report Bugs or Request New Features

If you encounter a bug or wish to request a new feature, please open a new issue in the repository.

## Code of Conduct

## License

babel-plugin-auto-console-log is under the MIT License. For more details, you can check out our [License file](./LICENSE.md).